package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.CaraBayar;
import com.jasamedika.medifirst2000.vo.CaraBayarVO;

/**
 * Converter class between Pasien and PasienVO
 * 
 * @author Askur
 */
@Component
public class CaraBayarConverter implements BaseVoConverter<CaraBayarVO, CaraBayar> {


	@Override
	public CaraBayar transferVOToModel(CaraBayarVO vo, CaraBayar model) {
		if (null == model)
			model = new CaraBayar();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, CaraBayar.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		return model;
	}

	@Override
	public List<CaraBayarVO> transferListOfModelToListOfVO(List<CaraBayar> models, List<CaraBayarVO> vos) {

		if (null == vos)
			vos = new ArrayList<CaraBayarVO>();

		if (null == models)
			return vos;

		for (CaraBayar pegawai : models) {
			CaraBayarVO vo = new CaraBayarVO();
			vo=transferModelToVO(pegawai, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public CaraBayarVO transferModelToVO(CaraBayar model, CaraBayarVO vo) {
		if (null == vo)
			vo = new CaraBayarVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, CaraBayarVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	}
	
	
	
	

}
